io.etcd.jetcd.api

## Interface ResponseOpOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  ResponseOp, ResponseOp.Builder

    public interface ResponseOpOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseOp.ResponseCase` `getResponseCase()`
`DeleteRangeResponse` `getResponseDeleteRange()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`DeleteRangeResponseOrBuilder` `getResponseDeleteRangeOrBuilder()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`PutResponse` `getResponsePut()` `.etcdserverpb.PutResponse response_put = 2;`
`PutResponseOrBuilder` `getResponsePutOrBuilder()` `.etcdserverpb.PutResponse response_put = 2;`
`RangeResponse` `getResponseRange()` `.etcdserverpb.RangeResponse response_range = 1;`
`RangeResponseOrBuilder` `getResponseRangeOrBuilder()` `.etcdserverpb.RangeResponse response_range = 1;`
`TxnResponse` `getResponseTxn()` `.etcdserverpb.TxnResponse response_txn = 4;`
`TxnResponseOrBuilder` `getResponseTxnOrBuilder()` `.etcdserverpb.TxnResponse response_txn = 4;`
`boolean` `hasResponseDeleteRange()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`boolean` `hasResponsePut()` `.etcdserverpb.PutResponse response_put = 2;`
`boolean` `hasResponseRange()` `.etcdserverpb.RangeResponse response_range = 1;`
`boolean` `hasResponseTxn()` `.etcdserverpb.TxnResponse response_txn = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasResponseRange

    boolean hasResponseRange()

`.etcdserverpb.RangeResponse response_range = 1;`

Returns:
  Whether the responseRange field is set.

#### getResponseRange

    RangeResponse getResponseRange()

`.etcdserverpb.RangeResponse response_range = 1;`

Returns:
  The responseRange.

#### getResponseRangeOrBuilder

    RangeResponseOrBuilder getResponseRangeOrBuilder()

`.etcdserverpb.RangeResponse response_range = 1;`

#### hasResponsePut

    boolean hasResponsePut()

`.etcdserverpb.PutResponse response_put = 2;`

Returns:
  Whether the responsePut field is set.

#### getResponsePut

    PutResponse getResponsePut()

`.etcdserverpb.PutResponse response_put = 2;`

Returns:
  The responsePut.

#### getResponsePutOrBuilder

    PutResponseOrBuilder getResponsePutOrBuilder()

`.etcdserverpb.PutResponse response_put = 2;`

#### hasResponseDeleteRange

    boolean hasResponseDeleteRange()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Returns:
  Whether the responseDeleteRange field is set.

#### getResponseDeleteRange

    DeleteRangeResponse getResponseDeleteRange()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Returns:
  The responseDeleteRange.

#### getResponseDeleteRangeOrBuilder

    DeleteRangeResponseOrBuilder getResponseDeleteRangeOrBuilder()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

#### hasResponseTxn

    boolean hasResponseTxn()

`.etcdserverpb.TxnResponse response_txn = 4;`

Returns:
  Whether the responseTxn field is set.

#### getResponseTxn

    TxnResponse getResponseTxn()

`.etcdserverpb.TxnResponse response_txn = 4;`

Returns:
  The responseTxn.

#### getResponseTxnOrBuilder

    TxnResponseOrBuilder getResponseTxnOrBuilder()

`.etcdserverpb.TxnResponse response_txn = 4;`

#### getResponseCase

    ResponseOp.ResponseCase getResponseCase()